/*
このファイルの中身は、NTT オープンソースライセンス　バージョン 1.0（「本
契約」という）の適用を受けます。
本契約を遵守しない限り、このファイルを使用してはなりません。
本契約のコピーは、次のＵＲＬから入手できます。
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

本契約に基づき頒布されるソフトウェアは、現状のまま、明示又は黙示のあらゆ
る種類の保証なしで、頒布されます。本契約に基づく権利及び制限を律する特定
の文言については、本契約を参照してください。

「オリジナルコード」は、 NTT Cyber Space Laboratories Code です。
「オリジナルコード」の「初期開発者」は、日本電信電話株式会社です。
日本電信電話株式会社により創作された部分は、Copyright (C) 2004
日本電信電話株式会社 です。
全ての権利が留保されます。
「コントリビュータ」：_____________________________________


The contents of this file are subject to the NTT Opensource License
Version 1.0 (the License); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
【配布サイトのURL】 http://www.oss.ecl.ntt.co.jp/lms/

Software distributed under the License is distributed on an AS IS
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is NTT Cyber Space Laboratories Code .

The Initial Developer of the Original Code is NIPPON TELEGRAPH AND
TELEPHONE CORPORATION.
Portions created by the NIPPON TELEGRAPH AND TELEPHONE CORPORATION
are Copyright (C) 2004 NIPPON TELEGRAPH AND TELEPHONE CORPORATION.
All Rights Reserved.

Contributor(s) ______________________________________.
*/

//
//	Base(XMS_B) クライアントクラス
//		変更履歴
//			2004.01.08	新規作成	二條智文
//			2004.09.30	M0006		A.Shimoma
//			2005.03.25	変更		梅原浩司
//
package jp.co.ntt.lms.xmo.Base;

import java.util.Vector;

import org.apache.commons.lang.StringEscapeUtils;

import jp.co.ntt.lms.xmo.Environment;
import jp.co.ntt.lms.xmo.MessageData;
import jp.co.ntt.lms.xmo.XMOBasicClient;
import jp.co.ntt.lms.xmo.XMOException;
import jp.co.ntt.lms.xmo.Base.Gui.BaseDisplayData;
import jp.co.ntt.lms.xmo.Groups.GroupsData;
import jp.co.ntt.lms.xmo.Lo.LoData;
import jp.co.ntt.lms.xmo.Method.MethodData;
import jp.co.ntt.lms.xmo.util.SqlEscape;


/**
 * Base(XMS_B)のクライアントクラスです。<BR>
 * このクラスはXMS_B サーバクラスとの接続および、
 * 登録、更新、削除、検索処理に必要なパラメータの設定、検索後の
 * 検索結果の取得メソッドを提供します。<BR>
 * @author T.Nijou
 * @version 0.0.0.1 2004/01/08
 */
public class XMSBaseClient extends XMOBasicClient
	implements XMSBaseTable
{
	/** ルートグループリスト検索メソッド名です */
	private static final String METHOD_SEARCHROOTGROUPLIST = "searchRootGroupList";
	/** ルートLOリスト検索メソッド名です */
	private static final String METHOD_SEARCHROOTLOLIST = "searchRootLoList";
	//	ADD 2005/03/25 START Koji Umehara [メソッド管理追加]
	/** ルートメソッドリスト検索メソッド名です */
	private static final String METHOD_SEARCHROOTMETHODLIST = "searchRootMethodList";
	//	ADD 2005/03/25 END Koji Umehara [メソッド管理追加]
	/** 基本画面の表示データ検索メソッド名です */
	private static final String METHOD_SELECTBASEDISPLAY = "selectBaseDisplay";

	/** ルートグループリストを保持します */
	private GroupsData[] mobjRootGroupList = null;
	/** ルートLOリストを保持します */
	private LoData[] mobjRootLoList = null;
	//	ADD 2005/03/25 START Koji Umehara [メソッド管理追加]
	/** ルートメソッドリストを保持します */
	private MethodData[] mobjRootMethodList = null;
	//	ADD 2005/03/25 END Koji Umehara [メソッド管理追加]

	/** 画面表示情報を保持します */
	private BaseDisplayData[] mobjDisplayDataList = new BaseDisplayData[0];


	/** XMSBase名を保持します */
	private static String strBaseName = "";
	static {
		// XMSBase名を環境ファイルから取得します。
		try {
			Environment objEnv = new Environment();
			strBaseName = objEnv.getBaseName();
		}
		catch( Exception e ) {
			e.printStackTrace();
		}
	}

	/**
	 * コンストラクタです。<BR>
	 * 親クラスのコンストラクタを呼び出し、接続先サーバクラス名を
	 * 設定します。
	 */
	public XMSBaseClient() throws Exception {
		super( strBaseName );
	}

	/**
	 * XMOIDを設定します
	 * @param astrXmoID XMOID
	 */
	public void setXmoID( String astrXmoID ) {
		putData( XMO_ID, astrXmoID );
	}

	/**
	 * XMOIDを取得します
	 * @return String XMOID
	 */
	public String getXmoID() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getXmoID();
	}

	/**
	 * 名前を設定します
	 * @param astrXmoName 名前
	 */
	public void setXmoName( String astrXmoName ) {
		putData( XMO_NAME, astrXmoName );
	}

	/**
	 * 名前を取得します
	 * @return String 名前
	 */
	public String getXmoName() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getXmoName();
	}

	/**
	 * 概要を設定します
	 * @param astrXmoOutLine 概要
	 */
	public void setXmoOutLine( String astrXmoOutLine ) {
		putData( XMO_OUT_LINE, astrXmoOutLine );
	}

	/**
	 * 概要を取得します
	 * @return String 概要
	 */
	public String getXmoOutLine() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getXmoOutLine();
	}

	/**
	 * URIを設定します
	 * @param astrXmoUri URI
	 */
	public void setXmoUri( String astrXmoUri ) {
		putData( XMO_URI, astrXmoUri );
	}

	/**
	 * URIを取得します
	 * @return String URI
	 */
	public String getXmoUri() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getXmoUri();
	}

	/**
	 * 稼動フラグを設定します
	 * @param astrXmoOnFlg 稼動フラグ
	 */
	public void setXmoOnFlg( String astrXmoOnFlg ) {
		putData( XMO_ON_FLG, astrXmoOnFlg );
	}

	/**
	 * 稼動フラグを取得します
	 * @return String 稼動フラグ
	 */
	public String getXmoOnFlg() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getXmoOnFlg();
	}

	/**
	 * XMOクラス名を設定します
	 * @param astrClassName XMOクラス名
	 */
	public void setClassName( String astrClassName ) {
		putData( CLASS_NAME_F, astrClassName );
	}

	/**
	 * XMOクラス名を取得します
	 * @return String XMOクラス名
	 */
	public String getClassName() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getClassName();
	}

	/**
	 * ツリービュータイプを設定します
	 * @param astrTreeViewType ツリービュータイプ
	 */
	public void setTreeViewType( String astrTreeViewType ) {
		putData( TREE_VIEW_TIPE, astrTreeViewType );
	}

	/**
	 * ツリービュータイプを取得します
	 * @return String ツリービュータイプ
	 */
	public String getTreeViewType() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getTreeViewType();
	}

	/**
	 * 初期メニュー名称を設定します
	 * @param astrIniMenu IniMenu
	 */
	public void setIniMenu( String astrIniMenu ) {
		putData( INI_MENU, astrIniMenu );
	}

	/**
	 * 初期メニュー名称を取得します
	 * @return String 初期メニュー名称
	 */
	public String getIniMenu() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getIniMenu();
	}

	/**
	 * 優先度を設定します
	 * @param astrPriority 優先度
	 */
	public void setPriority( String astrPriority ) {
		putData( PRIORITY, astrPriority );
	}

	/**
	 * 優先度を取得します
	 * @return String 優先度
	 */
	public String getPriority() {
		XMOEntryData objData = (XMOEntryData)getResult();
		return objData.getPriority();
	}

	/**
	 * AssignmentsIDを検索条件に付与します
	 * デフォルトで"="条件をつけます
	 * @param strAssignID	AssignID
	 */
	public void setWhereXmoID( String strXmoID ) {
		String strCondition = XMO_ID + SEARCH_EQUALS + "'" + StringEscapeUtils.escapeSql(strXmoID) + "' ";
		setCondition( strCondition );
	}

	/**
	 * AssignmentsIDを検索条件に付与します
	 * @param strAssignID	AssignID
	 * @param strSearchCondition 検索条件
	 */
	public void setWhereXmoID( String strXmoID, String strSearchCondition ) {
		String strCondition = XMO_ID + strSearchCondition + "'" + StringEscapeUtils.escapeSql(strXmoID) + "' ";
		setCondition( strCondition );
	}

	/**
	 * xmo_on_flgを検索条件に付与します
	 * デフォルトで"="条件をつけます
	 * @param strOnFlag オンフラグ
	 */
	public void setWhereXmoOnFlag() {
		String strCondition = XMO_ON_FLG + SEARCH_EQUALS + "'" + XMO_ON_FLG_ON + "' ";
		setCondition( strCondition );
	}

	/**
	 * TreeViewTypeを検索条件に付与します
	 * デフォルトで"="条件をつけます
	 * @param strTreeViewType	ツリータイプ
	 */
	public void setWhereTreeViewType( String strTreeViewType ) {
		String strCondition = TREE_VIEW_TIPE + SEARCH_EQUALS + "'" + StringEscapeUtils.escapeSql(strTreeViewType) + "' ";
		setCondition( strCondition );
	}

	/**
	 * TreeViewTypeを検索条件に付与します
	 * @param strTreeViewType	ツリータイプ
	 * @param strSearchCondition 検索条件
	 */
	public void setWhereTreeViewType( String strTreeViewType, String strSearchCondition ) {
		String strCondition = TREE_VIEW_TIPE + strSearchCondition + "'" + StringEscapeUtils.escapeSql(strTreeViewType) + "' ";
		setCondition( strCondition );
	}

	/**
	 * 初期メニュー名称を検索条件に付与します
	 * デフォルトで"="条件をつけます
	 * @param strIniMenu	初期メニュー名称
	 */
	public void setWhereIniMenu( String strIniMenu ) {
		String strCondition = INI_MENU + SEARCH_EQUALS + "'" + SqlEscape.escape(strIniMenu) + "' ";
// 20040930 M0006 MOD start NTTR(N)
		setIniMenutCondition( strCondition );
// 20040930 M0006 MOD end
	}

	/**
	 * クラス名を検索条件に付与します。
	 * デフォルトで"="条件をつけます
	 * @param strClassName クラス名
	 */
	public void setWhereClassName( String strClassName ) {
		String strCondition = CLASS_NAME_F + SEARCH_EQUALS + "'" + SqlEscape.escape(strClassName) + "' ";
		setCondition( strCondition );
	}

	/**
	 * 指定されたユーザIDのルート表示するグループリストを検索します。<BR>
	 * 検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * 2重表示防止とはたとえば以下のような場合です。<BR>
	 * <PRE>
	 *        |―GR1
	 *        |   |―GR11
	 *        |       |―GR111
	 *        |―GR2
	 *            |―GR21
	 *
	 *    上記のようなグループツリーで検索結果が、GR1, GR111, GR2となった場合、同一ツリー上で
	 *    下位の位置にあるGR111は検索結果から削除されます。
	 * </PRE>
	 * @param strUserID ユーザID
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootGroupList( String strUserID )
		throws Exception
	{
		String[] strNull = null;
		return searchRootGroupList( strUserID, strNull );
	}

	/**
	 * 指定されたユーザIDのルート表示するグループリストを検索します。<BR>
	 * XMOIDを指定した場合は、そのXMOIDが権限に含まれるグループのみを検索します。<BR>
	 * XMOIDがnullの場合は、権限が与えられているすべてのグループを検索します。<BR>
	 * また、検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * 2重表示防止とはたとえば以下のような場合です。<BR>
	 * <PRE>
	 *        |―GR1
	 *        |   |―GR11
	 *        |       |―GR111
	 *        |―GR2
	 *            |―GR21
	 *
	 *    上記のようなグループツリーで検索結果が、GR1, GR111, GR2となった場合、同一ツリー上で
	 *    下位の位置にあるGR111は検索結果から削除されます。
	 * </PRE>
	 * @param strUserID ユーザID
	 * @param strXmoID XMOID
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootGroupList( String strUserID, String strXmoID )
		throws Exception
	{
		String[] strXmoIDs = null;

		if( strXmoID != null ) {
			strXmoIDs = new String[1];
			strXmoIDs[0] = strXmoID;
		}
		return searchRootGroupList( strUserID, strXmoIDs );
	}

	/**
	 * 指定されたユーザIDのルート表示するグループリストを検索します。<BR>
	 * XMOIDを複数指定した場合は、その複数のXMOIDが権限に含まれるグループのみを検索します。<BR>
	 * XMOIDがnullの場合は、権限が与えられているすべてのグループを検索します。<BR>
	 * また、検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * 2重表示防止とはたとえば以下のような場合です。<BR>
	 * <PRE>
	 *        |―GR1
	 *        |   |―GR11
	 *        |       |―GR111
	 *        |―GR2
	 *            |―GR21
	 *
	 *    上記のようなグループツリーで検索結果が、GR1, GR111, GR2となった場合、同一ツリー上で
	 *    下位の位置にあるGR111は検索結果から削除されます。
	 * </PRE>
	 * @param strUserID ユーザID
	 * @param strXmoIDs XMOIDリスト
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootGroupList( String strUserID, String[] strXmoIDs )
		throws Exception
	{
		// ユーザIDの設定
		if( strUserID != null ) {
			putData( USER_ID, strUserID );
		}
		// グループIDの設定
		if( strXmoIDs != null ) {
			htParams.put( XMO_ID, strXmoIDs );
		}

		// メニュー取得
		Vector vecRootGroupList = (Vector)super.execute( METHOD_SEARCHROOTGROUPLIST, htParams );

		// メッセージデータを取得します
		MessageData objMessage = (MessageData)vecRootGroupList.get(0);

		mobjMessage = objMessage;
		if( mobjMessage != null ) {
			return false;
		}

		// 内部変数に結果を格納
		if( vecRootGroupList.size() > 0 ) {
			mobjRootGroupList = (GroupsData[])vecRootGroupList.get(1);
		}

		return true;
	}

	/**
	 * 指定されたユーザIDのルート表示するLOリストを検索します。<BR>
	 * 検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * 2重表示防止とはたとえば以下のような場合です。<BR>
	 * <PRE>
	 *        |―LO1
	 *        |   |―LO11
	 *        |       |―LO111
	 *        |―LO2
	 *            |―LO21
	 *
	 *    上記のようなグループツリーで検索結果が、LO1, LO111, LO2となった場合、同一ツリー上で
	 *    下位の位置にあるGR111は検索結果から削除されます。
	 * </PRE>
	 * @param strUserID ユーザID
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootLoList( String strUserID )
		throws Exception
	{
		return searchRootLoList( strUserID, NON_TYPE );
	}

	/**
	 * 指定されたユーザIDのルート表示するLOリストを検索します。<BR>
	 * intAssignTypeで指定されたアサインタイプの検索を行います。<BR>
	 * アサインタイプには以下のものを設定できます。<BR>
	 * <PRE>
	 *     NON_TYPE    :: アサインタイプ指定なし
	 *     LEARN_TYPE  :: 学習アサインされているもの
	 *     MANAGE_TYPE :: 管理アサインされているもの
	 * </PRE>
	 * また、検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * 2重表示防止とはたとえば以下のような場合です。<BR>
	 * <PRE>
	 *        |―LO1
	 *        |   |―LO11
	 *        |       |―LO111
	 *        |―LO2
	 *            |―LO21
	 *
	 *    上記のようなグループツリーで検索結果が、LO1, LO111, LO2となった場合、同一ツリー上で
	 *    下位の位置にあるGR111は検索結果から削除されます。
	 * </PRE>
	 * @param strUserID ユーザID
	 * @param intAssignType アサインタイプ
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootLoList( String strUserID, int intAssignType )
		throws Exception
	{
		// ユーザIDの設定
		if( strUserID != null ) {
			putData( USER_ID, strUserID );
		}
		// アサインタイプの設定
		if( intAssignType != NON_TYPE &&
			intAssignType != LEARN_TYPE &&
			intAssignType != MANAGE_TYPE
		) {
			// アサインタイプが不正
			throw new XMOException( "アサインタイプの指定が不正です。" );
		}
		else {
			htParams.put( ASSIGN_TYPE, new Integer(intAssignType) );
		}


		// メニュー取得
		Vector vecRootGroupList = (Vector)super.execute( METHOD_SEARCHROOTLOLIST, htParams );

		// メッセージデータを取得します
		MessageData objMessage = (MessageData)vecRootGroupList.get(0);

		mobjMessage = objMessage;
		if( mobjMessage != null ) {
			return false;
		}

		// 内部変数に結果を格納
		if( vecRootGroupList.size() > 0 ) {
			mobjRootLoList = (LoData[])vecRootGroupList.get(1);
		}

		return true;
	}

	//	ADD 2005/03/25 START Koji Umehara [メソッド管理追加]
	/**
	 * 指定されたユーザIDのルート表示するメソッドリストを検索します。<BR>
	 * 検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * @param strUserID ユーザID
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootMethodList( String strUserID )
	throws Exception
	{
		return searchRootMethodList( strUserID, NON_TYPE );
	}

	/**
	 * 指定されたユーザIDのルート表示するメソッドリストを検索します。<BR>
	 * intAssignTypeで指定されたアサインタイプの検索を行います。<BR>
	 * アサインタイプには以下のものを設定できます。<BR>
	 * <PRE>
	 *     NON_TYPE    :: アサインタイプ指定なし
	 *     LEARN_TYPE  :: 学習アサインされているもの
	 *     MANAGE_TYPE :: 管理アサインされているもの
	 * </PRE>
	 * また、検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * @param strUserID ユーザID
	 * @param intAssignType アサインタイプ
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootMethodList( String strUserID, int intAssignType )
	throws Exception
	{
		return searchRootMethodList( strUserID, intAssignType, false );
	}
	
	/**
	 * 指定されたユーザIDのルート表示するメソッドリストを検索します。<BR>
	 * intAssignTypeで指定されたアサインタイプの検索を行います。<BR>
	 * アサインタイプには以下のものを設定できます。<BR>
	 * <PRE>
	 *     NON_TYPE    :: アサインタイプ指定なし
	 *     LEARN_TYPE  :: 学習アサインされているもの
	 *     MANAGE_TYPE :: 管理アサインされているもの
	 * </PRE>
	 * blnAllowDuplicateフラグがfalseの場合、
	 * 検索された結果は2重表示を防止する仕組みになっています。<BR>
	 * @param strUserID ユーザID
	 * @param intAssignType アサインタイプ
	 * @param blnAllowDuplicate 2重表示を許可するかどうかを示すフラグ
	 * @exception Exception RMI接続エラー
	 */
	public boolean searchRootMethodList( String strUserID, int intAssignType, boolean blnAllowDuplicate )
	throws Exception
	{
		// ユーザIDの設定
		if( strUserID != null ) {
			putData( USER_ID, strUserID );
		}
		// アサインタイプの設定
		if( intAssignType != NON_TYPE &&
			intAssignType != LEARN_TYPE &&
			intAssignType != MANAGE_TYPE
		) {
			// アサインタイプが不正
			throw new XMOException( "アサインタイプの指定が不正です。" );
		}
		else {
			htParams.put( ASSIGN_TYPE, new Integer(intAssignType) );
		}
		// 2重表示許可フラグの設定
		htParams.put( ALLOW_DUPLICATE, new Boolean(blnAllowDuplicate) );
	
		// メニュー取得
		Vector vecRootMethodList = (Vector)super.execute( METHOD_SEARCHROOTMETHODLIST, htParams );
	
		// メッセージデータを取得します
		MessageData objMessage = (MessageData)vecRootMethodList.get(0);
	
		mobjMessage = objMessage;
		if( mobjMessage != null ) {
			return false;
		}
	
		// 内部変数に結果を格納
		if( vecRootMethodList.size() > 0 ) {
			mobjRootMethodList = (MethodData[])vecRootMethodList.get(1);
		}
	
		return true;
	}
	//	ADD 2005/03/25 END Koji Umehara [メソッド管理追加]
	
	/**
	 * グループリストを取得します。
	 * @return GroupsData[] グループリスト(searchRootGroupListをコールしていない場合はnullを返します)
	 */
	public GroupsData[] getRootGroupList() {
		return mobjRootGroupList;
	}

	/**
	 * グループリストを取得します。
	 * @return LoData[] LOリスト(searchRootLoListをコールしていない場合はnullを返します)
	 */
	public LoData[] getRootLoList() {
		return mobjRootLoList;
	}

	//	ADD 2005/03/25 START Koji Umehara [メソッド管理追加]
	/**
	 * メソッドリストを取得します。
	 * @return MethodData[] メソッドリスト(searchRootMethodListをコールしていない場合はnullを返します)
	 */
	public MethodData[] getRootMethodList() {
		return mobjRootMethodList;
	}
	//	ADD 2005/03/25 END Koji Umehara [メソッド管理追加]

	/**
	 * 基本画面のグループとユーザの表示情報を検索します
	 * @param strParentID 親ID
	 * @return boolean true: 取得成功　false: 取得失敗
	 * @exception Exception RMI例外
	 */
	public boolean selectGroupAndPeopleBaseDisplay(String strParentID)
		throws Exception
	{
		return selectBaseDisplay( strParentID, GROUP_TYPE );
	}

	/**
	 * 基本画面のLOの表示情報を検索します
	 * @param strParentID 親ID
	 * @return boolean true: 取得成功　false: 取得失敗
	 * @exception Exception RMI例外
	 */
	public boolean selectLoBaseDisplay(String strParentID)
		throws Exception
	{
		return selectBaseDisplay( strParentID, LO_TYPE );
	}

	/**
	 * 基本画面の表示情報を検索します
	 * @param strParentID 親ID
	 * @param intType 1: グループとユーザ、2: LO
	 * @return boolean true: 取得成功　false: 取得失敗
	 * @exception Exception RMI例外
	 */
	private boolean selectBaseDisplay(String strParentID, int intType)
		throws Exception
	{

		if( strParentID == null ) {
			// アサインタイプが不正
			throw new XMOException( "親ID未指定" );
		}

		// XMOに送信するパラメータを設定します
		// 親IDを設定します
		htParams.put( PARENT_ID, strParentID );
		// グループかLOの処理タイプを設定します
		htParams.put( PROCCESS_TYPE, new Integer(intType) );

		// 表示データ取得
		Vector vecDisplayDataList = (Vector)super.execute( METHOD_SELECTBASEDISPLAY, htParams );

		// メッセージデータを取得します
		MessageData objMessage = (MessageData)vecDisplayDataList.get(0);

		mobjMessage = objMessage;
		if( mobjMessage != null ) {
			return false;
		}

		// 内部変数に結果を格納
		if( vecDisplayDataList.size() > 0 ) {
			mobjDisplayDataList = (BaseDisplayData[])vecDisplayDataList.get(1);
		}

		return true;
	}

	/**
	 * 基本画面の表示情報の検索結果を取得します
	 * @return BaseDisplayData[] 検索結果
	 */
	public BaseDisplayData[] getBaseDisplay() {
		return mobjDisplayDataList;
	}
}

